Subject: [nvo3] Tunnel configuration in draft-ietf-nvo3-framework-02

From: Lizhong Jin <[email-masked]>
Date: Wed, 13 Mar 2013 20:22:54 +0800

Hi authors,
In the framework, it says: Other information that is part of the tunneling
encapsulation header may also need to be configured. It seems to imply that
the per tunnel configuration could be applied for the encapsulation header.
If the tunnel is IP tunnel like GREor UDP-based, with my understanding of
NVO3, the tunnel is not pre-provisioned by the control/management plane,
and when dataplane learning is applied, the tunnel information is
dynamically learned, and aged if expired. Then tunneling encapsulation
related configuration could not be configured per tunnel for the NVO3
service provisoning, because you will not know which tunnel is attached to
this VNI.
It would be good to describe the above text with two cases: 1. the tunnel
has already preprovisioned, e.g, MPLS tunnel. 2. the tunnel is not
preprovisioned, e.g, GRE or UDP-based for NVO3.

Regards
Lizhong